package telinc.telicraft.api.event.entity.meteor;

import net.minecraft.entity.EntityLiving;

import net.minecraftforge.event.Cancelable;
import net.minecraftforge.event.Event;

/**
 * Called right before a Meteor Bomb ignites it self. Cancel to prevent it from igniting.
 */
@Cancelable
public class MeteorBombIgniteEvent extends Event {
    /** The entity that ignited the Meteor Bomb. Might be null, so be careful! */
    public final EntityLiving entity;
    
    /** The X, Y and Z coordinates of the Meteor Bomb. */
    public final int x, y, z;
    
    public MeteorBombIgniteEvent(EntityLiving entity, int x, int y, int z) {
        this.entity = entity;
        this.x = x;
        this.y = y;
        this.z = z;
    }
}