package telinc.telicraft.api.event.item;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;

import net.minecraftforge.event.Cancelable;
import net.minecraftforge.event.Event;

/**
 * Called when somebody uses an Emergency Item. If you cancel the event, the item won't work.
 */
@Cancelable
public class EmergencyItemUseEvent extends Event {
    /**
     * The world instance.
     */
    public final World world;
    
    /**
     * The item stack. May not be an Emergency Item and sometimes may even be null, so be sure to perform sanity checks before using!
     */
    public final ItemStack stack;
    
    /**
     * The player entity.
     */
    public final EntityPlayer player;
    
    public EmergencyItemUseEvent(World world, ItemStack stack, EntityPlayer player){
        this.world = world;
        this.stack = stack;
        this.player = player;
    }
}