package telinc.telicraft.api.event.item;

import net.minecraftforge.event.Cancelable;
import net.minecraftforge.event.Event;

import telinc.telicraft.api.TelicraftAPI;

/**
 * Called right before the Direct Petrifying Potion sets a block to stone. Cancel to prevent it from doing that.
 * Modders should not use this event to disallow the potion to petrify their block. Instead, use {@link TelicraftAPI}.
 */
@Cancelable
public class PetrifyBlockEvent extends Event {
    /**
     * The EntityPetrify instance. Because of compatiablity, make sure to perform checks before assuming that this is an EntityPetrify.
     */
    public final Object potion;
    
    /**
     * The block that is about to be petrified.
     */
    public final int blockID;
    
    /**
     * The X, Y and Z coordinates.
     */
    public final int x, y, z;
    
    public PetrifyBlockEvent(Object entity, int block, int x, int y, int z){
        this.potion = entity;
        this.blockID = block;
        this.x = x;
        this.y = y;
        this.z = z;
    }
}