package telinc.telicraft.api.event.item;

import net.minecraft.entity.EntityLiving;

import net.minecraftforge.event.Cancelable;
import net.minecraftforge.event.Event;

/**
 * Called right when an entity is hit by the Direct Perifying Potion. Cancel the event to prevent any processing.
 */
@Cancelable
public class PetrifyEntityEvent extends Event {
    /**
     * The EntityPetrify that hit the victim. Because of compatiablity, make sure to check that this is an EntityPetrify before using it.
     */
    public final Object potion;

    /**
     * The victim.
     */
    public final EntityLiving victim;

    public PetrifyEntityEvent(Object petrify, EntityLiving entity) {
        this.potion = petrify;
        this.victim = entity;
    }
}